namespace Blazor.Models
{
    public class Lobby
    {
        public int Id { get; private set; }
        public string Name { get; private set; }
        public string? Password { get; private set; }
        public int NbPlayers { get; private set; }

        public Lobby(int id, string name, string? password = null, int nbPlayers = 0)
        {
            Id = id;
            Name = name;
            Password = password;
            NbPlayers = nbPlayers;
        }

        public void addPlayers(int nb) { NbPlayers += nb; }
        public void removePlayers(int nb) { NbPlayers -= nb; }
    }
}
